build:
  stage: deploy
  image: debian:bullseye
  before_script:
    - apt update
    - apt install -y npm
  script:
    - npm install
    - npm run-script build
    - mv build public
  artifacts:
    paths:
      - public
  tags:
    - merge
    - docker
